# AntType

enum AntType

Ant types which a `FileCollection` can be mapped to.

## Entries

MatchingTask
Link copied to clipboard
MatchingTask
FileSet
Link copied to clipboard
FileSet
ResourceCollection
Link copied to clipboard
ResourceCollection

## Functions

valueOf
Link copied to clipboard
open fun valueOf(name: String): FileCollection.AntType

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
open fun values(): Array<FileCollection.AntType>

Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants.